<?php
/*
Plugin Name: April's Super Functions Pack
Plugin URI: http://springthistle.com/wordpress/plugin_functionspack/
Description: Lots of useful shortcodes, some functions, some javascript etc. See the <a href="options-general.php?page=aprils-super-functions-pack/aprils-super-functions-pack.php">Shortcode Instructions</a> and <a href="options-general.php?page=aprils-super-functions-pack/aprils-super-functions-pack.php&type=settings">Settings</a>.
Author: April Hodge Silver
Version: 1.1.1
Author URI: http://springthistle.com/

** Copyright 2011  April Hodge Silver **

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

Changelog:
1.0 - 2011-04-14 - Creation
1.1 - 2011-04-28 - Released

*/


/*
 * INCLUDE OTHER PHP FILES AND ALSO JAVASCRIPT * * * * * * * * * * * * * * * * * *
 */

$filepath = WP_PLUGIN_DIR.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__));
$urlpath = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__));

/* TEMPLATE FUNCTIONS */
require_once ($filepath.'/template_funcs.php');

/* SHORTCODES */
require_once ($filepath.'/shortcodes/shortcodes.php');
require_once ($filepath.'/shortcodes/buttons.php');
require_once ($filepath.'/shortcodes/columns.php');
require_once ($filepath.'/shortcodes/icons.php');

/* JAVASCRIPT */
function my_init_method() {
	global $urlpath;
    if (!is_admin()) {
		wp_deregister_script('jquery');
		wp_register_script('jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js');
		wp_enqueue_script('jquery');
		wp_enqueue_script('toolsta',$urlpath.'js/jquery.tools.min.js','jquery');
		wp_enqueue_script('ahshead',$urlpath.'js/jquery.ahshead.js','jquery');
		wp_enqueue_script('ahsfoot',$urlpath.'js/jquery.ahsfoot.js','jquery',null,true);
    }
}    
add_action('init', 'my_init_method');

function asfp_headstuff() {
	global $urlpath;
	echo "\n<!-- April's Super Function Pack : BEGIN -->\n";
	echo '<link rel="stylesheet"  href="'.$urlpath.'shortcodes.css" type="text/css" media="all" />'."\n";
	echo '<link rel="stylesheet"  href="'.$urlpath.'style.php" type="text/css" media="all" />'."\n";
	echo "<!-- April's Super Function Pack : END -->\n\n";
}
add_action('wp_head', 'asfp_headstuff');

// DO SHORTCODES AT SIDEBARS
add_filter('widget_text', 'do_shortcode');
// AUTOMATIC RSS FEED
add_theme_support( 'automatic-feed-links' );
// IMAGES SUPPORT
add_theme_support( 'post-thumbnails' );


/*
 * INCLUDE AND ADD EXPLANATORY/HELP PAGE TO MENU * * * * * * * * * * * * * * * * * *
 */

function print_howto_page() {
	global $filepath;
	include($filepath.'readme.php');
}
// adds our new option page to the admin menu
function modify_menu_for_asfp() {
	add_submenu_page(
		'options-general.php',
		"April's Super Functions Pack",	// Page <title>
		"April's SFP Help", // Menu title
		7,				// What level of user
		__FILE__,            //File to open
		'print_howto_page'  //Function to call
		);  
}

add_action('admin_menu','modify_menu_for_asfp');


/*
 * CREATE AND SAVE COLUMN WIDTH OPTIONS * * * * * * * * * * * * * * * * * * * * * *
 */

function asfp_init(){
    if(function_exists('register_setting')){
        register_setting('asfp-options', 'asfp_pagewidth');
    }
}
add_action('admin_init', 'asfp_init');

// Set the default options when the plugin is activated
function asfp_activate(){
    add_option('asfp_pagewidth', '845');
}

register_activation_hook( __FILE__, 'asfp_activate');


?>